using Sirenix.OdinInspector;
using UnityEngine;
using VOID.Generic.Objects.Abstract;
using VOID.Generic.Objects.Item;
using VOID.Generic.Objects.Unit;

namespace VOID.Generic.Projectile.TargetValidator
{
    [TypeRegistryItem("Item")]
    public class ProjectileTargetItem : IProjectileTargetValidator
    {
        public bool IsValid(UnitObject caster, Vector3 targetPosition, AbstractObject targetObject)
        {
            return targetObject is ItemObject;
        }
    }
}